Bug 175569 - audio/pd: Update to version 0.44.1
Summary: audio/pd: Update to version 0.44.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-25 21:10 UTC by tkato432
Modified: 2013-02-08 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (13.58 KB, patch)
2013-01-25 21:10 UTC, tkato432
no flags Details | Diff
audio_pd.diff (13.58 KB, patch)
2013-01-27 17:55 UTC, tkato432
no flags Details | Diff
audio_pd.diff (13.48 KB, patch)
2013-02-01 18:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-25 21:10:01 UTC
- Update to version 0.44.1

Remove file:
files/patch-src_x_list.c
Comment 1 Edwin Groothuis freebsd_committer 2013-01-25 21:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-01-27 17:55:46 UTC
Remake of the patch against current tree.
Comment 3 tkato432 2013-02-01 18:00:00 UTC
Version 0.44.2 has been released.
Comment 4 Martin Wilke freebsd_committer 2013-02-07 14:26:50 UTC
State Changed
From-To: open->closed

- Take 


Comment 5 Martin Wilke freebsd_committer 2013-02-07 14:26:50 UTC
Responsible Changed
From-To: araujo->miwi

Committed thx
Comment 6 dfilter service freebsd_committer 2013-02-07 14:26:56 UTC
Author: miwi
Date: Thu Feb  7 14:26:45 2013
New Revision: 311843
URL: http://svnweb.freebsd.org/changeset/ports/311843

Log:
  - Update to 0.44.2
  
  PR:		175569
  Submitted by:	Ports Fury

Deleted:
  head/audio/pd/files/patch-src_x_list.c
Modified:
  head/audio/pd/Makefile
  head/audio/pd/distinfo   (contents, props changed)
  head/audio/pd/pkg-plist   (contents, props changed)

Modified: head/audio/pd/Makefile
==============================================================================
--- head/audio/pd/Makefile	Thu Feb  7 14:25:13 2013	(r311842)
+++ head/audio/pd/Makefile	Thu Feb  7 14:26:45 2013	(r311843)
@@ -2,33 +2,36 @@
 # $FreeBSD$
 
 PORTNAME=	pd
-DISTVERSION=	0.43-4
+DISTVERSION=	0.44-1
 DISTVERSIONSUFFIX=	.src
 CATEGORIES=	audio
-MASTER_SITES=	http://www-crca.ucsd.edu/~msp/Software/
+MASTER_SITES=	SF/pure-data/pure-data/${PORTVERSION} \
+		http://www-crca.ucsd.edu/~msp/Software/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MIDI-capable real-time audio processor/synthesizer
 
 LICENSE=	BSD
 
-OPTIONS_DEFINE=	ALSA JACK DOCS
+OPTIONS_DEFINE=	ALSA FFTW JACK DOCS
 
-WRKSRC=		${WRKDIR}/${DISTNAME:S;.src;/src;}
-PATCH_WRKSRC=	${WRKSRC}/..
+WRKSRC=		${WRKDIR}/${DISTNAME:S,${DISTVERSIONSUFFIX},,}
 
-USE_TCL_BUILD=	yes
-USE_TK_BUILD=	yes
 USE_TK_WRAPPER=	yes
+USE_GETTEXT=	yes
 USE_GMAKE=	yes
-GNU_CONFIGURE=	yes
-MAKEFILE=	makefile
-MAKE_JOBS_UNSAFE=	yes
+USE_AUTOTOOLS=	aclocal libtoolize autoconf automake
+ACLOCAL_ARGS=	-I m4/generated -I m4
+LIBTOOLIZE_ARGS=--install --force
+AUTOMAKE_ARGS=	--add-missing --copy --force-missing
+USE_PKGCONFIG=	build
+USE_GMAKE=	yes
+MAKE_JOBS_SAFE=	yes
 
 MAN1=		pd.1 pdreceive.1 pdsend.1
 
-CPPFLAGS+=	-I${TCL_INCLUDEDIR} -I${LOCALBASE}/include
-LDFLAGS+=	-L${LOCALBASE}/lib
+CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 
 .include <bsd.port.options.mk>
 
@@ -39,6 +42,14 @@ CONFIGURE_ARGS+=	--enable-alsa
 CONFIGURE_ARGS+=	--disable-alsa
 .endif
 
+.if ${PORT_OPTIONS:MFFTW}
+BUILD_DEPENDS+=	fftw3>0:${PORTSDIR}/math/fftw3
+LIB_DEPENDS+=	fftw3f:${PORTSDIR}/math/fftw3-float
+CONFIGURE_ARGS+=	--enable-fftw
+.else
+CONFIGURE_ARGS+=	--disable-fftw
+.endif
+
 .if ${PORT_OPTIONS:MJACK}
 LIB_DEPENDS+=	jack:${PORTSDIR}/audio/jack
 CONFIGURE_ARGS+=	--enable-jack
@@ -51,59 +62,56 @@ post-patch:
 		's|__FreeBSD_kernel__|__FreeBSD__|g ; \
 		 s|<alloca\.h>|<stdlib.h>|g'
 	@${REINPLACE_CMD} -e \
-		's|-lpthread|${PTHREAD_LIBS}|g ; \
-		 s|CPPFLAGS="-D|CPPFLAGS="$$CPPFLAGS -D|g ; \
-		 s|LDFLAGS="-Wl,|LDFLAGS="$$LDFLAGS -Wl,|g ; \
-		 s|-ltcl8[0-9]|-ltcl${USE_TCL}|g ; \
-		 s|-ltk8[0-9]|-ltk${USE_TK}|g ; \
-		 s|s_midi_oss.c ||g ; \
-		 /SYSSRC/s|s_midi_alsa.c||g ; \
-		 /uname/s|Linux|${OPSYS}|g' ${WRKSRC}/configure
-	@${REINPLACE_CMD} -e \
-		's|$$(WARN_CFLAGS)||g ; \
-		 s|$$(MORECFLAGS)||g ; \
-		 s|x_midi.c ||g ; \
-		 s|s_midi.c ||g ; \
-		 s|INCLUDE) -o|INCLUDE) $$(LDFLAGS) -o|g' ${WRKSRC}/makefile.in
+		's|kFreeBSD)|kFreeBSD\|*freebsd*)| ; \
+		 s|portaudio=yes|portaudio=no| ; \
+		 s|-O6|| ; \
+		 s|fftw,|fftw3f,| ; \
+		 s|fftw_one,|fftwf_execute,| ; \
+		 s|fftw"|fftw3f"| ; \
+		 s|-lpthread ||' ${WRKSRC}/configure.ac
+	@${REINPLACE_CMD} -e \
+		'/^pkgconfigdir/s|=.*|= $$(prefix)/libdata/pkgconfig| ; \
+		 /^libpddir/s|=.*|= $$(pkglibdir)| ; \
+		 s|make -C|$$(MAKE) -C|' ${WRKSRC}/Makefile.am
+	@${REINPLACE_CMD} -e \
+		'/^pd_LDADD/s| =.*| = $$(LIBM)| ; \
+		 s| x_midi.c|| ; \
+		 s| s_midi.c|| ; \
+		 s| s_midi_alsa.c|| ; \
+		 s| s_midi_oss.c||g' ${WRKSRC}/src/Makefile.am
 	@${REINPLACE_CMD} -e \
 		's|PD_BASEDIR/LICENSE|${DOCSDIR}/LICENSE|g ; \
 		 s|PD_BASEDIR/doc/1|${DOCSDIR}/1|g' \
-			${WRKSRC}/../doc/1.manual/1.introduction.txt
+			${WRKSRC}/doc/1.manual/1.introduction.txt
 	@${REINPLACE_CMD} -e \
 		's|-O2 | | ; \
-		 s|-lc ||g' ${WRKSRC}/../extra/makefile.subdir
+		 s|-lc ||g' ${WRKSRC}/extra/makefile.subdir
 	@${REINPLACE_CMD} -e \
 		's|-O2 |$$(CFLAGS) | ; \
 		 s|-g ||g ; \
-		 s|-lc ||g' ${WRKSRC}/../extra/expr~/makefile
+		 s|-lc ||g' ${WRKSRC}/extra/expr~/makefile
+
+pre-configure:
+	@(cd ${WRKSRC}/portaudio \
+		&& ${SETENV} ${AUTOTOOLS_ENV} ${ACLOCAL} \
+		&& ${SETENV} ${AUTOTOOLS_ENV} ${LIBTOOLIZE} \
+		&& ${SETENV} ${AUTOTOOLS_ENV} ${AUTOCONF})
 
 do-install:
-.for file in pd pdreceive pdsend
-	${INSTALL_PROGRAM} ${WRKSRC}/../bin/${file} ${PREFIX}/bin
-.endfor
-	${INSTALL_DATA} ${WRKSRC}/m_pd.h ${PREFIX}/include
-.for file in pd pdreceive pdsend
-	${INSTALL_MAN} ${WRKSRC}/../man/${file}.1 ${MANPREFIX}/man/man1
+.for i in src man tcl po extra
+	@(cd ${WRKSRC}/${i} && ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} \
+		${MAKEFILE} ${MAKE_ARGS} ${INSTALL_TARGET})
 .endfor
-	@${MKDIR} ${PREFIX}/lib/pd
-	@(${TAR} -C ${WRKSRC}/../extra --exclude "*.bak" --exclude "*.orig" \
-		-cf - . | ${TAR} -C ${PREFIX}/lib/pd --unlink -xf -)
-	@${CHOWN} -R ${LIBOWN}:${LIBGRP} ${PREFIX}/lib/pd
-	@${FIND} ${PREFIX}/lib/pd -type d -exec ${CHMOD} 755 {} \;
-	@${FIND} ${PREFIX}/lib/pd -type f -exec ${CHMOD} ${LIBMODE} {} \;
-	@${MKDIR} ${PREFIX}/lib/pd/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/../bin/pd-watchdog ${PREFIX}/lib/pd/bin
-	@${MKDIR} ${PREFIX}/lib/pd/tcl
-	${INSTALL_DATA} ${WRKSRC}/../tcl/*.tcl ${PREFIX}/lib/pd/tcl
+	(cd ${WRKSRC} && ${INSTALL_DATA} pd.pc ${PREFIX}/libdata/pkgconfig)
 .if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	@(${TAR} -C ${WRKSRC}/../doc --exclude "*.bak" --exclude "*.orig" \
+	@(${TAR} -C ${WRKSRC}/doc --exclude "*.bak" --exclude "*.orig" \
 		-cf - . | ${TAR} -C ${DOCSDIR} --unlink -xf -)
 	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DOCSDIR}
 	@${FIND} ${DOCSDIR} -type d -exec ${CHMOD} 755 {} \;
 	@${FIND} ${DOCSDIR} -type f -exec ${CHMOD} ${SHAREMODE} {} \;
 .for i in LICENSE.txt README.txt
-	${INSTALL_DATA} ${WRKSRC}/../${i} ${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${DOCSDIR})
 .endfor
 	@${LN} -sf ${DOCSDIR} ${PREFIX}/lib/pd/doc
 .endif

Modified: head/audio/pd/distinfo
==============================================================================
--- head/audio/pd/distinfo	Thu Feb  7 14:25:13 2013	(r311842)
+++ head/audio/pd/distinfo	Thu Feb  7 14:26:45 2013	(r311843)
@@ -1,2 +1,2 @@
-SHA256 (pd-0.43-4.src.tar.gz) = a883c2f5130a999d6748ea1a6541f68980cfa6c384b29051a301529c36b17b5a
-SIZE (pd-0.43-4.src.tar.gz) = 2189774
+SHA256 (pd-0.44-1.src.tar.gz) = 22f39237481016a3aceecee774fab78ebe2fb1af5a3e78546a0696da0a779487
+SIZE (pd-0.44-1.src.tar.gz) = 2201153

Modified: head/audio/pd/pkg-plist
==============================================================================
--- head/audio/pd/pkg-plist	Thu Feb  7 14:25:13 2013	(r311842)
+++ head/audio/pd/pkg-plist	Thu Feb  7 14:26:45 2013	(r311843)
@@ -1,95 +1,93 @@
 bin/pd
+bin/pd-gui.tcl
 bin/pdreceive
 bin/pdsend
 include/m_pd.h
-lib/pd/Makefile.am
-lib/pd/README.txt
+include/pd/g_all_guis.h
+include/pd/g_canvas.h
+include/pd/m_imp.h
+include/pd/m_pd.h
+include/pd/s_stuff.h
+lib/pd/bin/pd
 lib/pd/bin/pd-watchdog
-lib/pd/bonk~/GNUmakefile.am
-lib/pd/bonk~/bonk~-help.pd
-lib/pd/bonk~/bonk~.c
-lib/pd/bonk~/bonk~.pd_linux
-lib/pd/bonk~/makefile
-lib/pd/bonk~/templates.txt
-lib/pd/choice/GNUmakefile.am
-lib/pd/choice/choice-help.pd
-lib/pd/choice/choice.c
-lib/pd/choice/choice.pd_linux
-lib/pd/choice/makefile
-lib/pd/complex-mod~-help.pd
-lib/pd/complex-mod~.pd
-lib/pd/doc
-lib/pd/expr-help.pd
-lib/pd/expr.pd_linux
-lib/pd/expr~/GNUmakefile.am
-lib/pd/expr~/LICENSE.txt
-lib/pd/expr~/README.txt
-lib/pd/expr~/expr.pd_linux
-lib/pd/expr~/expr~.pd_linux
-lib/pd/expr~/fexpr~.pd_linux
-lib/pd/expr~/fts_to_pd.h
-lib/pd/expr~/makefile
-lib/pd/expr~/vexp.c
-lib/pd/expr~/vexp.h
-lib/pd/expr~/vexp.pd_linux_o
-lib/pd/expr~/vexp_fun.c
-lib/pd/expr~/vexp_fun.pd_linux_o
-lib/pd/expr~/vexp_if.c
-lib/pd/expr~/vexp_if.pd_linux_o
-lib/pd/expr~.pd_linux
-lib/pd/fexpr~.pd_linux
-lib/pd/fiddle~/GNUmakefile.am
-lib/pd/fiddle~/fiddle~-help.pd
-lib/pd/fiddle~/fiddle~.c
-lib/pd/fiddle~/fiddle~.pd_linux
-lib/pd/fiddle~/makefile
-lib/pd/hilbert~-help.pd
-lib/pd/hilbert~.pd
-lib/pd/loop~/GNUmakefile.am
-lib/pd/loop~/loop~-help.pd
-lib/pd/loop~/loop~.c
-lib/pd/loop~/loop~.pd_linux
-lib/pd/loop~/makefile
-lib/pd/loop~/test-loop~.pd
-lib/pd/lrshift~/GNUmakefile.am
-lib/pd/lrshift~/lrshift~-help.pd
-lib/pd/lrshift~/lrshift~.c
-lib/pd/lrshift~/lrshift~.pd_linux
-lib/pd/lrshift~/makefile
-lib/pd/makefile.subdir
-lib/pd/pd~/GNUmakefile.am
-lib/pd/pd~/makefile
-lib/pd/pd~/notes.txt
-lib/pd/pd~/pdsched.c
-lib/pd/pd~/pdsched.pd_linux
-lib/pd/pd~/pd~-help.pd
-lib/pd/pd~/pd~-subprocess.pd
-lib/pd/pd~/pd~.c
-lib/pd/pd~/pd~.pd_linux
-lib/pd/pd~/z.pd
-lib/pd/pique/GNUmakefile.am
-lib/pd/pique/makefile
-lib/pd/pique/pique-help.pd
-lib/pd/pique/pique.c
-lib/pd/pique/pique.pd_linux
-lib/pd/rev1-final.pd
-lib/pd/rev1-stage.pd
-lib/pd/rev1~-help.pd
-lib/pd/rev1~.pd
-lib/pd/rev2~-help.pd
-lib/pd/rev2~.pd
-lib/pd/rev3~-help.pd
-lib/pd/rev3~.pd
-lib/pd/sigmund~/GNUmakefile.am
-lib/pd/sigmund~/makefile
-lib/pd/sigmund~/sigmund~-help.pd
-lib/pd/sigmund~/sigmund~.c
-lib/pd/sigmund~/sigmund~.pd_linux
-lib/pd/stdout/GNUmakefile.am
-lib/pd/stdout/makefile
-lib/pd/stdout/stdout-help.pd
-lib/pd/stdout/stdout.c
-lib/pd/stdout/stdout.pd_linux
+%%PORTDOCS%%lib/pd/doc
+lib/pd/extra/bonk~/bonk~-help.pd
+lib/pd/extra/bonk~/bonk~.la
+lib/pd/extra/bonk~/bonk~.pd_linux
+lib/pd/extra/bonk~/templates.txt
+lib/pd/extra/choice/choice-help.pd
+lib/pd/extra/choice/choice.la
+lib/pd/extra/choice/choice.pd_linux
+lib/pd/extra/complex-mod~-help.pd
+lib/pd/extra/complex-mod~.pd
+lib/pd/extra/expr-help.pd
+lib/pd/extra/expr.pd_linux
+lib/pd/extra/expr~/LICENSE.txt
+lib/pd/extra/expr~/README.txt
+lib/pd/extra/expr~/expr-help.pd
+lib/pd/extra/expr~/expr.pd_linux
+lib/pd/extra/expr~/expr~.la
+lib/pd/extra/expr~/expr~.pd_linux
+lib/pd/extra/expr~/fexpr~.pd_linux
+lib/pd/extra/expr~-help.pd
+lib/pd/extra/expr~.pd_linux
+lib/pd/extra/fexpr~-help.pd
+lib/pd/extra/fexpr~.pd_linux
+lib/pd/extra/fiddle~/fiddle~-help.pd
+lib/pd/extra/fiddle~/fiddle~.la
+lib/pd/extra/fiddle~/fiddle~.pd_linux
+lib/pd/extra/hilbert~-help.pd
+lib/pd/extra/hilbert~.pd
+lib/pd/extra/loop~/loop~-help.pd
+lib/pd/extra/loop~/loop~.la
+lib/pd/extra/loop~/loop~.pd_linux
+lib/pd/extra/loop~/test-loop~.pd
+lib/pd/extra/lrshift~/lrshift~-help.pd
+lib/pd/extra/lrshift~/lrshift~.la
+lib/pd/extra/lrshift~/lrshift~.pd_linux
+lib/pd/extra/pd~/pdsched.la
+lib/pd/extra/pd~/pdsched.pd_linux
+lib/pd/extra/pd~/pd~-help.pd
+lib/pd/extra/pd~/pd~-subprocess.pd
+lib/pd/extra/pd~/pd~.la
+lib/pd/extra/pd~/pd~.pd_linux
+lib/pd/extra/pique/pique-help.pd
+lib/pd/extra/pique/pique.la
+lib/pd/extra/pique/pique.pd_linux
+lib/pd/extra/rev1-final.pd
+lib/pd/extra/rev1-stage.pd
+lib/pd/extra/rev1~-help.pd
+lib/pd/extra/rev1~.pd
+lib/pd/extra/rev2~-help.pd
+lib/pd/extra/rev2~.pd
+lib/pd/extra/rev3~-help.pd
+lib/pd/extra/rev3~.pd
+lib/pd/extra/sigmund~/sigmund~-help.pd
+lib/pd/extra/sigmund~/sigmund~.la
+lib/pd/extra/sigmund~/sigmund~.pd_linux
+lib/pd/extra/stdout/stdout-help.pd
+lib/pd/extra/stdout/stdout.la
+lib/pd/extra/stdout/stdout.pd_linux
+lib/pd/po/af.msg
+lib/pd/po/az.msg
+lib/pd/po/be.msg
+lib/pd/po/bg.msg
+lib/pd/po/de.msg
+lib/pd/po/el.msg
+lib/pd/po/en_ca.msg
+lib/pd/po/eu.msg
+lib/pd/po/fr.msg
+lib/pd/po/gu.msg
+lib/pd/po/he.msg
+lib/pd/po/hi.msg
+lib/pd/po/hu.msg
+lib/pd/po/it.msg
+lib/pd/po/pa.msg
+lib/pd/po/pt_br.msg
+lib/pd/po/pt_pt.msg
+lib/pd/po/sq.msg
+lib/pd/po/sv.msg
+lib/pd/po/vi.msg
 lib/pd/tcl/AppMain.tcl
 lib/pd/tcl/apple_events.tcl
 lib/pd/tcl/dialog_array.tcl
@@ -107,20 +105,22 @@ lib/pd/tcl/dialog_startup.tcl
 lib/pd/tcl/helpbrowser.tcl
 lib/pd/tcl/opt_parser.tcl
 lib/pd/tcl/pd-gui.tcl
+lib/pd/tcl/pd.ico
 lib/pd/tcl/pd_bindings.tcl
 lib/pd/tcl/pd_connect.tcl
 lib/pd/tcl/pd_guiprefs.tcl
 lib/pd/tcl/pd_menucommands.tcl
 lib/pd/tcl/pd_menus.tcl
-lib/pd/tcl/pdtk_array.tcl
 lib/pd/tcl/pdtk_canvas.tcl
 lib/pd/tcl/pdtk_text.tcl
+lib/pd/tcl/pdtk_textwindow.tcl
 lib/pd/tcl/pdwindow.tcl
 lib/pd/tcl/pkgIndex.tcl
 lib/pd/tcl/pkg_mkIndex.tcl
 lib/pd/tcl/scrollbox.tcl
 lib/pd/tcl/scrollboxwindow.tcl
 lib/pd/tcl/wheredoesthisgo.tcl
+libdata/pkgconfig/pd.pc
 %%PORTDOCS%%%%DOCSDIR%%/1.manual/1.introduction.txt
 %%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.1.png
 %%PORTDOCS%%%%DOCSDIR%%/1.manual/fig1.2.jpg
@@ -392,6 +392,7 @@ lib/pd/tcl/wheredoesthisgo.tcl
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/graph-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/hdial-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/help-intro.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/hradio-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/hip~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/hslider-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/int-help.pd
@@ -484,6 +485,7 @@ lib/pd/tcl/wheredoesthisgo.tcl
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/vdial-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/vd~-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/vline~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/vradio-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/vslider-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/vu-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/wrap~-help.pd
@@ -525,7 +527,6 @@ lib/pd/tcl/wheredoesthisgo.tcl
 %%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/load-meter.pd
 %%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/testtone.pd
 %%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/testtone16.pd
-%%PORTDOCS%%%%DOCSDIR%%/7.stuff/tools/z.pd
 %%PORTDOCS%%%%DOCSDIR%%/LICENSE.txt
 %%PORTDOCS%%%%DOCSDIR%%/README.txt
 %%PORTDOCS%%%%DOCSDIR%%/sound/bell.aiff
@@ -544,15 +545,18 @@ lib/pd/tcl/wheredoesthisgo.tcl
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/1.manual
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/pd/tcl
-@dirrm lib/pd/stdout
-@dirrm lib/pd/sigmund~
-@dirrm lib/pd/pique
-@dirrm lib/pd/pd~
-@dirrm lib/pd/lrshift~
-@dirrm lib/pd/loop~
-@dirrm lib/pd/fiddle~
-@dirrm lib/pd/expr~
-@dirrm lib/pd/choice
-@dirrm lib/pd/bonk~
+@dirrm lib/pd/po
+@dirrm lib/pd/extra/stdout
+@dirrm lib/pd/extra/sigmund~
+@dirrm lib/pd/extra/pique
+@dirrm lib/pd/extra/pd~
+@dirrm lib/pd/extra/lrshift~
+@dirrm lib/pd/extra/loop~
+@dirrm lib/pd/extra/fiddle~
+@dirrm lib/pd/extra/expr~
+@dirrm lib/pd/extra/choice
+@dirrm lib/pd/extra/bonk~
+@dirrm lib/pd/extra
 @dirrm lib/pd/bin
 @dirrm lib/pd
+@dirrm include/pd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2013-02-08 18:22:52 UTC
Author: bdrewery
Date: Fri Feb  8 18:22:34 2013
New Revision: 311946
URL: http://svnweb.freebsd.org/changeset/ports/311946

Log:
  - Actually update to 0.44-2
  
  PR:		ports/175569
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/audio/pd/Makefile
  head/audio/pd/distinfo

Modified: head/audio/pd/Makefile
==============================================================================
--- head/audio/pd/Makefile	Fri Feb  8 16:55:11 2013	(r311945)
+++ head/audio/pd/Makefile	Fri Feb  8 18:22:34 2013	(r311946)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pd
-DISTVERSION=	0.44-1
+DISTVERSION=	0.44-2
 DISTVERSIONSUFFIX=	.src
 CATEGORIES=	audio
 MASTER_SITES=	SF/pure-data/pure-data/${PORTVERSION} \

Modified: head/audio/pd/distinfo
==============================================================================
--- head/audio/pd/distinfo	Fri Feb  8 16:55:11 2013	(r311945)
+++ head/audio/pd/distinfo	Fri Feb  8 18:22:34 2013	(r311946)
@@ -1,2 +1,2 @@
-SHA256 (pd-0.44-1.src.tar.gz) = 22f39237481016a3aceecee774fab78ebe2fb1af5a3e78546a0696da0a779487
-SIZE (pd-0.44-1.src.tar.gz) = 2201153
+SHA256 (pd-0.44-2.src.tar.gz) = 595908d7d5678e3f80ed1b6b37b41c9b5e22472893b1f489decfc805f56ee804
+SIZE (pd-0.44-2.src.tar.gz) = 2201154
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"